Bug 208726 - editors/hte: Fix build with libc++ 3.8.0
Summary: editors/hte: Fix build with libc++ 3.8.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Marcus von Appen
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-04-11 19:47 UTC by Dimitry Andric
Modified: 2016-07-02 07:59 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (mva)


Attachments
Fix type for abs() call in editors/hte (873 bytes, patch)
2016-04-11 19:47 UTC, Dimitry Andric
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dimitry Andric freebsd_committer 2016-04-11 19:47:49 UTC
Created attachment 169221 [details]
Fix type for abs() call in editors/hte

During the exp-run in bug 208158, it was found that editors/hte gives errors with libc++ 3.8.0 [1]:

htapp.cc:3026:9: error: call to 'abs' is ambiguous
        while (abs(a - b) > 1) {
               ^~~

This is because abs() is being called with an unsigned argument.  Fix this by casting the argument to the appropriate signed type.

[1] http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-03-22_18h30m05s/logs/errors/hte-2.1.0.log
Comment 1 commit-hook freebsd_committer 2016-07-02 07:57:54 UTC
A commit references this bug:

Author: mva
Date: Sat Jul  2 07:57:38 UTC 2016
New revision: 417913
URL: https://svnweb.freebsd.org/changeset/ports/417913

Log:
  - Fix build with libc++ 3.8.0; this unbreaks hte on CURRENT

  PR:		208726
  Submitted by:	dim@

Changes:
  head/editors/hte/files/
  head/editors/hte/files/patch-htapp.cc
Comment 2 Marcus von Appen freebsd_committer freebsd_triage 2016-07-02 07:59:08 UTC
Fixed in ports r417913. Thanks!